<template>
  <div class="HashrateCard">
    <div class="hashrate">
      <img :src="`/images/hashrate/${image}`" alt="" />
      <div class="hashrateContent">
        <div class="label">{{ title }}</div>
        <div class="data">
          <span class="number">{{ total }}</span
          >路
        </div>
      </div>
    </div>
    <div class="detail">
      <div class="detailItem">
        <div class="label">
          <span class="iconfont">&#xe62f;</span>
        </div>
        <div class="data">
          <span class="number">{{ ValidCount }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label"><span class="iconfont">&#xe62d;</span></div>
        <div class="data">
          <span class="number">{{ InValidCount }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label"><span class="iconfont">&#xe632;</span></div>
        <div class="data">
          <span class="number">{{ RunningCount }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label">
          <span class="iconfont">&#xe631;</span>
        </div>
        <div class="data">
          <span class="number">{{ NoDeal }}</span
          >路
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: { type: String, default: "" },
    total: { type: String, default: "" },
    ValidCount: { type: String, default: "" },
    InValidCount: { type: String, default: "" },
    RunningCount: { type: String, default: "" },
    NoDeal: { type: String, default: "" },
    image: {},
  },
  data() {
    return {};
  },
};
</script>

<style lang="scss" scoped>
.HashrateCard {
  overflow: hidden;
  height: 146px;
  background-color: #fff;
  display: flex;
  justify-content: space-between;

  .hashrate {
    margin-left: 30px;
    margin-right: 30px;
    margin-top: 47px;
    display: flex;
    justify-content: center;

    img {
      margin-right: 10px;
      width: 48px;
      height: 48px;
    }

    .hashrateContent {
      .label {
        margin-bottom: 4px;
        font-size: 14px;
      }

      .data {
        font-size: 12px;
        font-weight: 700;
        .number {
          font-size: 24px;
        }
      }
    }
  }

  .detail {
    box-sizing: border-box;
    padding: 20px 20px 20px 0px;
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    .detailItem {
      display: flex;
      justify-content: center;
      align-items: center;
      padding-top: 6px;
      overflow: hidden;
      box-sizing: border-box;
      width: 50%;
      height: 50%;
      text-align: center;

      .label {
        font-size: 12px;
        color: #666;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        span {
          vertical-align: -8px;
          margin-right: 5px;
          font-size: 18px;
        }
      }

      .data {
        margin-top: 4px;
        font-size: 12px;
        font-weight: 700;
        .number {
          font-size: 24px;
        }
      }

      &:nth-child(1) {
        border-right: 1px solid #e9ebee;
        border-bottom: 1px solid #e9ebee;
      }

      &:nth-child(2) {
        border-bottom: 1px solid #e9ebee;
      }

      &:nth-child(3) {
        border-right: 1px solid #e9ebee;
      }
    }
  }
}
</style>